Skip to content

Count projects

GET
/projects/count
curl --request GET \
--url https://app.buildworkpro.com/api/v1/projects/count \
--header 'Authorization: Bearer <token>'

Returns the total number of projects in the tenant matching the optional search, status, contactId, dateFrom/dateTo, updatedFrom filters. Mirrors GET /projects minus pagination.

status
string
contactId
integer | null
search
string
dateFrom
string format: date-time
dateTo
string format: date-time
updatedFrom
string format: date-time

Count

Media type application/json
object
data
required
object
total
required
integer
meta
required
object
request_id

Server-generated request identifier

string
pagination
object
cursor
required

Opaque cursor for the next page; null when no more results

string | null
has_more
required

Whether more pages are available after this one

boolean
count
required

Items in this page

integer
Example generated
{
"data": {
"total": 1
},
"meta": {
"request_id": "example",
"pagination": {
"cursor": "example",
"has_more": true,
"count": 1
}
}
}

Scope insufficient

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}